Package org.globus.ftp.vanilla

# Class Command

java.lang.Object
org.globus.ftp.vanilla.Command

public class Command extends Object
Represents an FTP Control Channel Command

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Command`
`ABOR`
`static final Command`
`CDUP`
`static final Command`
`EPSV`
`static final Command`
`FEAT`
`static final Command`
`PASV`
`static final Command`
`PWD`
`static final Command`
`QUIT`
`static final Command`
`SPAS`

## Constructor Summary

Constructors
Constructor
Description
`Command(String name)`
`Command(String name, String parameters)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static String`
`toString(Command command)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### FEAT

public static final Command FEAT

### ABOR

public static final Command ABOR

### CDUP

public static final Command CDUP

### PWD

public static final Command PWD

### QUIT

public static final Command QUIT

### PASV

public static final Command PASV

### SPAS

public static final Command SPAS

### EPSV

public static final Command EPSV

## Constructor Details

### Command

public Command(String name, String parameters) throws IllegalArgumentException

Parameters:
  `name` - the command name, eg. "PUT"
  `parameters` - the command parameters; in other words everything that is contained between the space after the command name and the trailing Telnet EOL, excluding both the mentioned space and EOL. For instance, in command "STOR /tmp/file.txt\r\n", the parameters would be: "/tmp/file.txt" and trailing EOL.
Throws:
  `IllegalArgumentException`

### Command

public Command(String name) throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

## Method Details

### toString

public static String toString(Command command)

Returns:
  a String representation of this object, that is <name> <sp> <parameters> <CRLF>

### toString

public String toString()

Overrides:
  `toString` in class `Object`